require 'spec_helper'

describe Lifen::Message do

  let(:valid_token_value)   { "valide_token" }
  # let(:valid_token_value)   { "REPLACE_ME" }

  let(:valid_token)         { Lifen::Token.new(value: valid_token_value, expires_at: Time.now.to_i + 60) }
  let(:user)                { Lifen::User.new(token: valid_token) }

  let(:flow)                { Lifen::Flow.new(user: user, uuid: "11e6be18-7a35-d759-9177-0242ac110002") }
  let(:message)             { Lifen::Message.new(flow: flow, content: "Bonjour Lifen") }

  describe "create" do

    context "valid message" do

      it 'has valid attributes' do

        VCR.use_cassette "messages/valid_message" do
          message.create
        end

        expect(message.uuid).to eq("11e6be20-5647-8f9b-9177-0242ac110002")
        expect(message.type).to eq("regular")
        expect(message.flow).to eq(flow)
        expect(message.sent_at.to_date).to eq Date.new(2016, 12, 9)

      end

    end

  end

end