require 'spec_helper'

describe Lifen::Settings do

  let(:valid_token_value)   { "valid_token" }

  let(:valid_token)         { Lifen::Token.new(value: valid_token_value, expires_at: Time.now.to_i + 60) }

  let(:user)                { Lifen::User.new(uuid: "11e6c5e3-0702-ca3f-b073-0242ac110002", token: valid_token) }

  describe 'integration scenario' do

    it 'knows the the correct user settings' do
      VCR.use_cassette "settings/initial_state" do
        @settings = user.settings
      end

      expect(@settings.push_notifications).to be_falsy

      @settings.push_notifications = true

      VCR.use_cassette "settings/update" do
        @settings.save
      end

      expect(@settings.push_notifications).to be_truthy

      VCR.use_cassette "settings/reload" do
        @settings.refresh
      end

      expect(@settings.push_notifications).to be_truthy
    end

  end

end